Loading...
Searching...
No Matches
pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationResult Struct Reference

## Public Attributes

QString | id
QString | spectrumID
std::size_t | scanNum
std::size_t | spectrumIndex
bool | isSpectrumIndex = false
double | retentionTime
std::vector< SpectrumIdentificationItem > | spectrumIdentificationItemList
std::vector< CvParam > | cvParamList
std::vector< UserParam > | userParamList

## Detailed Description

Definition at line 179 of file mzidentmlreader.h.

## Member Data Documentation

## cvParamList

std::vector<CvParam> pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationResult::cvParamList

Definition at line 191 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readSpectrumIdentificationResult().

## id

QString pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationResult::id

Definition at line 181 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readSpectrumIdentificationResult().

## isSpectrumIndex

bool pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationResult::isSpectrumIndex = false

Definition at line 187 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readSpectrumIdentificationResult().

## retentionTime

double pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationResult::retentionTime

Definition at line 188 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readSpectrumIdentificationResult(), and pappso::cbor::psm::MzIdentMlReader::writeSpectrumIdentificationResult().

## scanNum

std::size_t pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationResult::scanNum

Definition at line 185 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readSpectrumIdentificationResult().

## spectrumID

QString pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationResult::spectrumID

Definition at line 182 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readSpectrumIdentificationResult(), and pappso::cbor::psm::MzIdentMlReader::writeSpectrumIdentificationResult().

## spectrumIdentificationItemList

std::vector<SpectrumIdentificationItem> pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationResult::spectrumIdentificationItemList

Definition at line 189 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readSpectrumIdentificationItem(), pappso::cbor::psm::MzIdentMlReader::readSpectrumIdentificationResult(), and pappso::cbor::psm::MzIdentMlReader::writeSpectrumIdentificationResult().

## spectrumIndex

std::size_t pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationResult::spectrumIndex

Definition at line 186 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readSpectrumIdentificationResult(), and pappso::cbor::psm::MzIdentMlReader::writeSpectrumIdentificationResult().

## userParamList

std::vector<UserParam> pappso::cbor::psm::MzIdentMlReader::SpectrumIdentificationResult::userParamList

Definition at line 192 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readSpectrumIdentificationResult().

The documentation for this struct was generated from the following file:

- pappsomspp/core/processing/cbor/psm/mzidentml/mzidentmlreader.h